import request from '@/utils/request'

// 查询公告列表
export function listNotice(query) {
  return request({
    url: '/system/smsTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询公告详细
export function getNotice(noticeId) {
  return request({
    url: '/system/smsTemplate/getInfo/' + noticeId,
    method: 'get'
  })
}

// 新增公告
export function addNotice(query) {
  return request({
    url: '/system/smsTemplate/save',
    method: 'post',
    params: query
  })
}

// 修改公告
export function updateNotice(query) {
  return request({
    url: '/system/smsTemplate/update',
    method: 'put',
    data: query
  })
}

// 删除公告
export function delNotice(noticeId) {
  return request({
    url: '/system/smsTemplate/remove/' + noticeId,
    method: 'delete'
  })
}